<?php
/** load defaults */
if ( ! function_exists( 'pixwell_default_option_values' ) ) {
	function pixwell_default_option_values() {
		return array(
			'site_tooltips'                   => '1',
			'gif_support'                     => '1',
			'site_back_to_top'                => '0',
			'block_header_style'              => 'dot',
			'widget_header_style'             => '1',
			'entry_meta_style'                => '0',
			'header_bookmark'                 => '0',
			'style_element'                   => 'none',
			'style_cat_icon'                  => 'radius',
			'meta_shop_post'                  => '1',
			'meta_shop_post_text'             => 'Shop This Post',
			'readmore_text'                   => 'READ MORE',
			'readmore_icon'                   => '1',
			'readmore_mobile'                 => '0',
			'excerpt_mobile'                  => '1',
			'pos_feat'                        => 'center',
			'lazy_load'                       => '1',
			'feat_overlay'                    => '1',
			'pagination_layout'               => 'light',
			'meta_date_icon'                  => '',
			'human_time'                      => '0',
			'meta_author_icon'                => '1',
			'meta_author_text'                => 'by',
			'meta_comment_icon'               => '',
			'meta_view_icon'                  => '',
			'meta_custom'                     => '1',
			'meta_custom_text'                => 'reading',
			'meta_custom_icon'                => 'rbi-fish-eye',
			'post_icon_video'                 => '1',
			'post_icon_gallery'               => '0',
			'post_icon_audio'                 => '0',
			'slider_play'                     => '0',
			'slider_speed'                    => '',
			'slider_next'                     => 'NEXT',
			'slider_prev'                     => 'PREV',
			'slider_dot'                      => '1',
			'header_style'                    => '1',
			'header_trend'                    => '0',
			'trend_title'                     => 'Trending Now',
			'header_subscribe_desc'           => 'Get Our Newsletter',
			'header_subscribe_text'           => 'SUBSCRIBE',
			'header_subscribe_url'            => '',
			'topbar'                          => '0',
			'topbar_width'                    => '0',
			'topbar_phone'                    => '',
			'topbar_email'                    => '',
			'topbar_link_action'              => '0',
			'topbar_social'                   => '0',
			'navbar_height'                   => '',
			'navbar_sticky'                   => '0',
			'navbar_sticky_smart'             => '0',
			'offcanvas_toggle'                => '0',
			'navbar_social'                   => '1',
			'navbar_cart'                     => '1',
			'navbar_search'                   => '1',
			'navbar_search_ajax'              => '0',
			'navbar_color'                    => '',
			'navbar_color_hover'              => '',
			'navbar_shadow'                   => '1',
			'navsub_color'                    => '',
			'navsub_color_hover'              => '',
			'mega_menu_text_style'            => 'dark',
			'mobile_nav_height'               => '',
			'mobile_search'                   => '1',
			'mobile_bookmark'                 => '0',
			'mobile_cart'                     => '0',
			'mobile_nav_color'                => '',
			'mobile_logo_pos'                 => 'center',
			'sidebar_sticky'                  => '0',
			'site_sidebar_pos'                => 'right',
			'footer_text_style'               => 'dark',
			'footer_social'                   => '1',
			'footer_social_color'             => '1',
			'footer_menu'                     => '1',
			'footer_widget_layout'            => '1',
			'footer_copyright'                => '',
			'off_canvas_style'                => 'dark',
			'off_canvas_bg'                   => '',
			'off_canvas_social'               => '1',
			'off_canvas_subscribe'            => '0',
			'off_canvas_subscribe_text'       => '',
			'off_canvas_subscribe_url'        => '',
			'off_canvas_bookmark'             => '1',
			'off_canvas_cart'                 => '0',
			'cat_info_classic'                => '1',
			'custom_info_classic'             => '1',
			'excerpt_length_classic'          => '60',
			'excerpt_classic'                 => '0',
			'entry_meta_classic'              => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_classic'                => '0',
			'review_classic'                  => '1',
			'bookmark_classic'                => '0',
			'cat_info_grid_1'                 => '1',
			'custom_info_grid_1'              => '1',
			'excerpt_length_grid_1'           => '0',
			'excerpt_grid_1'                  => '0',
			'entry_meta_grid_1'               => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_grid_1'                 => '0',
			'review_grid_1'                   => '1',
			'bookmark_grid_1'                 => '0',
			'cat_info_grid_2'                 => '1',
			'custom_info_grid_2'              => '0',
			'excerpt_length_grid_2'           => '0',
			'excerpt_grid_2'                  => '0',
			'entry_meta_grid_2'               => array(
				'enabled'  => array( 'placebo' => 'placebo', 'date' => 'Date' ),
				'disabled' => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_grid_2'                 => '0',
			'review_grid_2'                   => '1',
			'bookmark_grid_2'                 => '0',
			'cat_info_grid_3'                 => '1',
			'custom_info_grid_3'              => '1',
			'excerpt_length_grid_3'           => '0',
			'excerpt_grid_3'                  => '0',
			'entry_meta_grid_3'               => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_grid_3'                 => '0',
			'review_grid_3'                   => '1',
			'bookmark_grid_3'                 => '0',
			'cat_info_grid_4'                 => '0',
			'entry_meta_grid_4'               => array(
				'enabled'  => array( 'placebo' => 'placebo' ),
				'disabled' => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'review_grid_4'                   => '0',
			'bookmark_grid_4'                 => '0',
			'cat_info_grid_5'                 => '1',
			'custom_info_grid_5'              => '1',
			'entry_meta_grid_5'               => array(
				'enabled'  => array( 'placebo' => 'placebo', 'date' => 'Date' ),
				'disabled' => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'review_grid_5'                   => '1',
			'bookmark_grid_5'                 => '0',
			'cat_info_list_1'                 => '1',
			'custom_info_list_1'              => '1',
			'excerpt_length_list_1'           => '0',
			'excerpt_list_1'                  => '0',
			'entry_meta_list_1'               => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_list_1'                 => '0',
			'review_list_1'                   => '1',
			'border_list_1'                   => '0',
			'bookmark_list_1'                 => '0',
			'cat_info_list_2'                 => '0',
			'custom_info_list_2'              => '0',
			'excerpt_length_list_2'           => '0',
			'excerpt_list_2'                  => '0',
			'entry_meta_list_2'               => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_list_2'                 => '0',
			'review_list_2'                   => '1',
			'bookmark_list_2'                 => '0',
			'cat_info_list_3'                 => '0',
			'custom_info_list_3'              => '0',
			'excerpt_length_list_3'           => '0',
			'excerpt_list_3'                  => '0',
			'entry_meta_list_3'               => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_list_3'                 => '0',
			'review_list_3'                   => '1',
			'bookmark_list_3'                 => '0',
			'entry_meta_list_4'               => array(
				'enabled'  => array( 'placebo' => 'placebo', 'date' => 'Date' ),
				'disabled' => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'cat_info_overlay_1'              => '1',
			'custom_info_overlay_1'           => '1',
			'excerpt_length_overlay_1'        => '60',
			'excerpt_overlay_1'               => 'tagline',
			'entry_meta_overlay_1'            => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'readmore_overlay_1'              => '1',
			'review_overlay_1'                => '0',
			'bookmark_overlay_1'              => '0',
			'cat_info_overlay_2'              => '0',
			'custom_info_overlay_2'           => '0',
			'entry_meta_overlay_2'            => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'custom'  => 'Custom'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'date'    => 'Date',
					'author'  => 'Author',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment'
				)
			),
			'bookmark_overlay_2'              => '0',
			'cat_info_overlay_3'              => '1',
			'custom_info_overlay_3'           => '0',
			'entry_meta_overlay_3'            => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'custom'  => 'Custom'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment'
				)
			),
			'bookmark_overlay_3'              => '0',
			'cat_info_overlay_4'              => '1',
			'custom_info_overlay_4'           => '1',
			'excerpt_length_overlay_4'        => '0',
			'excerpt_overlay_4'               => '0',
			'entry_meta_overlay_4'            => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'bookmark_overlay_4'              => '0',
			'cat_info_overlay_5'              => '1',
			'custom_info_overlay_5'           => '0',
			'entry_meta_overlay_5'            => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'bookmark_overlay_5'              => '0',
			'blog_layout_index'               => 'classic',
			'blog_sidebar_name_index'         => 'pixwell_sidebar_default',
			'block_sidebar_pos_index'         => 'default',
			'blog_breadcrumb_index'           => '0',
			'blog_pagination_index'           => 'number',
			'blog_posts_per_page_index'       => '',
			'cat_header_style'                => 'center',
			'cat_header_image_bg'             => array(
				'url'         => '',
				'id'          => '',
				'height'      => '',
				'width'       => '',
				'thumbnail'   => '',
				'title'       => '',
				'caption'     => '',
				'alt'         => '',
				'description' => ''
			),
			'cat_header_solid_bg'             => '',
			'cat_header_text_style'           => 'dark',
			'blog_layout_cat'                 => 'classic',
			'blog_sidebar_name_cat'           => 'pixwell_sidebar_default',
			'block_sidebar_pos_cat'           => 'default',
			'blog_breadcrumb_cat'             => '1',
			'blog_pagination_cat'             => 'number',
			'blog_posts_per_page_cat'         => '',
			'search_header_form'              => '1',
			'blog_layout_search'              => 'fw_grid_2',
			'blog_sidebar_name_search'        => 'pixwell_sidebar_default',
			'block_sidebar_pos_search'        => 'default',
			'blog_breadcrumb_search'          => '1',
			'search_post'                     => '1',
			'blog_pagination_search'          => 'number',
			'blog_posts_per_page_search'      => '12',
			'blog_layout_author'              => 'classic',
			'blog_sidebar_name_author'        => 'pixwell_sidebar_default',
			'block_sidebar_pos_author'        => 'default',
			'blog_breadcrumb_author'          => '1',
			'author_header_style'             => '0',
			'blog_pagination_author'          => 'number',
			'blog_posts_per_page_author'      => '',
			'blog_layout_archive'             => 'classic',
			'blog_sidebar_name_archive'       => 'pixwell_sidebar_default',
			'block_sidebar_pos_archive'       => 'default',
			'blog_breadcrumb_archive'         => '1',
			'blog_pagination_archive'         => 'number',
			'blog_posts_per_page_archive'     => '',
			'single_post_cat_info'            => '1',
			'single_post_custom_info'         => '1',
			'single_post_avatar'              => '1',
			'single_post_entry_meta'          => array(
				'enabled'  => array(
					'placebo' => 'placebo',
					'author'  => 'Author',
					'date'    => 'Date'
				),
				'disabled' => array(
					'placebo' => 'placebo',
					'cat'     => 'Category',
					'tag'     => 'Tags',
					'view'    => 'View',
					'comment' => 'Comment',
					'custom'  => 'Custom'
				)
			),
			'single_feat_size'                => 'full',
			'single_post_parallax'            => '1',
			'single_post_video_autoplay'      => '1',
			'single_post_gallery_layout'      => 'slide',
			'single_post_layout'              => '1',
			'single_post_sidebar_name'        => 'pixwell_sidebar_default',
			'single_post_sidebar_pos'         => 'default',
			'single_post_tag'                 => '1',
			'single_post_source'              => '1',
			'single_post_via'                 => '1',
			'single_post_like'                => '0',
			'single_post_author'              => '1',
			'single_post_navigation'          => '1',
			'single_post_comment_btn'         => '0',
			'single_post_reaction'            => '0',
			'sponsor_label'                   => 'Sponsored by',
			'single_post_left_section'        => '0',
			'share_left'                      => '1',
			'single_post_left_article'        => '1',
			'share_left_facebook'             => '1',
			'share_left_twitter'              => '1',
			'share_left_pinterest'            => '1',
			'share_left_linkedin'             => '0',
			'share_left_tumblr'               => '0',
			'share_left_reddit'               => '0',
			'share_left_vk'                   => '0',
			'share_left_email'                => '1',
			'single_post_left_article_header' => 'READ NEXT',
			'total_share'                     => '0',
			'share_top'                       => '0',
			'share_top_facebook'              => '1',
			'share_top_twitter'               => '1',
			'share_top_pinterest'             => '1',
			'share_top_linkedin'              => '0',
			'share_top_tumblr'                => '0',
			'share_top_reddit'                => '0',
			'share_top_vk'                    => '0',
			'share_top_email'                 => '1',
			'share_bottom'                    => '0',
			'share_bottom_facebook'           => '1',
			'share_bottom_twitter'            => '1',
			'share_bottom_pinterest'          => '1',
			'share_bottom_linkedin'           => '0',
			'share_bottom_tumblr'             => '0',
			'share_bottom_reddit'             => '0',
			'share_bottom_vk'                 => '0',
			'share_bottom_email'              => '1',
			'single_post_related'             => '0',
			'single_post_related_title'       => 'You Might Also Enjoy',
			'single_post_related_layout'      => 'fw_grid_2',
			'single_post_related_where'       => 'all',
			'single_post_related_total'       => '4',
			'single_post_related_pagination'  => '0',
			'ajax_next_post'                  => '0',
			'ajax_next_cat'                   => '0',
			'ajax_next_sidebar_name'          => 'pixwell_sidebar_default',
			'ajax_next_related'               => '0',
			'ajax_next_hide_sidebar'          => '1',
			'reaction_love'                   => 1,
			'reaction_sad'                    => 1,
			'reaction_happy'                  => 1,
			'reaction_sleepy'                 => 1,
			'reaction_angry'                  => 1,
			'reaction_dead'                   => 1,
			'reaction_wink'                   => 1
		);
	}
}